package core

import (
	"fmt"
	"hongze/hz_crm_eta/global"
	"hongze/hz_crm_eta/init_serve"
)

func RunServe() {
	// 初始化路由
	r := init_serve.InitRouter()

	// 初始化mysql数据库
	init_serve.Mysql()

	// 如果配置了redis，那么链接redis
	if global.CONFIG.Serve.UseRedis {
		//初始化redis
		init_serve.RedisTool()
	}

	// 启动任务
	init_serve.InitTask()

	fmt.Println("port:", global.CONFIG.Serve.Port)
	err := r.Run(fmt.Sprint("0.0.0.0:", global.CONFIG.Serve.Port)) // 监听并在 0.0.0.0:8080 上启动服务
	if err != nil {
		panic(fmt.Errorf("服务启动失败，Err:%s", err))
	}
}
